/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2006 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: CmiClusterForm.java 9417 2006-08-09 08:00:33Z danesa $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.webapp.jonasadmin.monitoring;

public class CmiClusterForm extends BaseClusterForm {


	private String cmiRegistryMcastAddr = "N/A";
	private String cmiRegistryMcastPort = "N/A";
	private int cmiRegistryBytesReceived = -1;
	private int cmiRegistryBytesSent = -1;
	private String globalRegistry = "N/A";


	public void setCmiRegistryMcastAddr(String val) {
		this.cmiRegistryMcastAddr = val;
	}

	public String getCmiRegistryMcastAddr() {
		return this.cmiRegistryMcastAddr;
	}

	public void setGlobalRegistry(String val) {
		this.globalRegistry = val;
	}

	public String getGlobalRegistry() {
		return this.globalRegistry;
	}

	public int getCmiRegistryBytesReceived() {
		return cmiRegistryBytesReceived;
	}

	public void setCmiRegistryBytesReceived(int cmiRegistryBytesReceived) {
		this.cmiRegistryBytesReceived = cmiRegistryBytesReceived;
	}

	public int getCmiRegistryBytesSent() {
		return cmiRegistryBytesSent;
	}

	public void setCmiRegistryBytesSent(int cmiRegistryBytesSent) {
		this.cmiRegistryBytesSent = cmiRegistryBytesSent;
	}

	public String getCmiRegistryMcastPort() {
		return cmiRegistryMcastPort;
	}

	public void setCmiRegistryMcastPort(String cmiRegistryMcastPort) {
		this.cmiRegistryMcastPort = cmiRegistryMcastPort;
	}
}
